/*
 *         Copyright (c) KUBOTA Corporation and HUDSON SOFT,
 *                  1994, 1995 All Rights Reserved
 *
 *  This software comprises unpublished confidential information of
 *  KUBOTA Corp. and HUDSON SOFT. It may not be used, copied or made 
 *  available to anyone, except in accordance with the license under
 *  which it is furnished.
 */
static char SccsId[] = "@(#)adinit.c	1.6	9/19/95";
static char Copyright[] = "(C)1995 HUDSON SOFT/(C)1995 KUBOTA CORP.";
static char   Version[] = "AGL Version 1.00";
#include <farl.h>
#include <agl.h>

camera		__AGLCamera;
light		__AGLLight[2];

/*
 * オーロラの初期化と、ライブラリの初期化
 */
int
AGLInit()
{
     int	res;

     res = FarlInit();

     /* カメラの初期化 */
     AGLResetCamera();			/* カメラマトリクスを初期化 */

     /* ライトの初期化 */
     AGLResetLight(AGL_LIGHT0);		/* ライト方向を (0, 0, 1.0)に */
     AGLResetLight(AGL_LIGHT1);		/* ライト方向を (0, 0, 1.0)に */
     __AGLLight[AGL_LIGHT0].lightStrength = 0x7fff;	/* Strength = 1.0 */
     __AGLLight[AGL_LIGHT1].lightStrength = 0x0;	/* Strength = 0.0 */

     __AGLLight[AGL_LIGHT0].lightChanged = 1;
     __AGLLight[AGL_LIGHT1].lightChanged = 1;

     return(res);
}
